CVE-2018-4157

HIGH

Description

An issue was discovered in certain Apple products. iOS before 11.3 is affected. macOS before 10.13.4 is affected. tvOS before 11.3 is affected. watchOS before 4.3 is affected. The issue involves the "Quick Look" component. A race condition allows attackers to execute arbitrary code in a privileged context via a crafted app.

References

http://www.securitytracker.com/id/1040604

http://www.securitytracker.com/id/1040608

https://support.apple.com/HT208692

https://support.apple.com/HT208693

https://support.apple.com/HT208696

https://support.apple.com/HT208698

Details

Source: MITRE

Published: 2018-04-03

Updated: 2019-10-03

Type: CWE-362

Risk Information

CVSS v2.0

Base Score: 7.6

Vector: AV:N/AC:H/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 4.9

Severity: HIGH

CVSS v3.0

Base Score: 7

Vector: CVSS:3.0/AV:L/AC:H/PR:N/UI:R/S:U/C:H/I:H/A:H

Impact Score: 5.9

Exploitability Score: 1

Severity: HIGH

Tenable Plugins

View all (5 total)

IDNameProductFamilySeverity
700548Apple iOS < 11.3 Multiple VulnerabilitiesNessus Network MonitorMobile Devices
high
700515macOS 10.13.x < 10.13.4 Multiple VulnerabilitiesNessus Network MonitorOperating System Detection
critical
109060Apple TV < 11.3 Multiple VulnerabilitiesNessusMisc.
high
108812Apple iOS < 11.3 Multiple VulnerabilitiesNessusMobile Devices
high
108786macOS 10.13.x < 10.13.4 Multiple VulnerabilitiesNessusMacOS X Local Security Checks
critical